org.omg.CORBA

## Class IDLTypeHelper

- java.lang.Object
- - org.omg.CORBA.IDLTypeHelper

-     public abstract class IDLTypeHelper
      extends Object

  The Helper for `IDLType`. For more information on Helper files, see "Generated Files: Helper Files".

  org/omg/CORBA/IDLTypeHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ir.idl 03 June 1999 11:33:44 o'clock GMT+00:00

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDLTypeHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IDLType` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, IDLType that)`
    `static IDLType` | `narrow(Object obj)`
    `static IDLType` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, IDLType value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IDLTypeHelper

          public IDLTypeHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                    IDLType that)

    - #### extract

          public static IDLType extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static IDLType read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                   IDLType value)

    - #### narrow

          public static IDLType narrow(Object obj)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.